View Issue Details

IDProjectCategoryView StatusLast Update
0006187MediaMonkey (current)Tracklistpublic2018-01-03 12:10
Reporterrusty 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1.2 
Target Version3.1.2Fixed in Version4.0 
Summary0006187: Copy/Paste of thousands of tracks --> lethargic UI
DescriptionWhen there are thousands of tracks in the clipboard, the MM UI becomes very sluggish, and subsequent copy/paste operations sometimes fail.
Steps To Reproduce1 Copy 5000 tracks in the tracklist
2 Try pasting them into the NP list via Right-click > Paste
--> It takes several seconds (including some screen redraws) before the context menu appears and the operation proceeds
3 Try selecting a track in the tracklist
--> It takes 1-2 seconds to select any track
4 Try pasting another track into the NP list
--> The operation sometimes fails (the context menu is greyed out)

The only way to get out of this state is to copy a single track or a single word in Notepad to clear the clipboard.

Note:
-When MM is in the lethargic state, other apps perform as expected--it's only MM that's affected
-One one occasion when attempting to copy/paste in EditPad (after triggering this state in MediaMonkey), a 'Cannot open clipboard' error occured.
-This bug exists in 3.1.1 (it's not a regression)
Additional InformationPossibly related to the following reports of UI slowness:
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=44402
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=44415

And/or the following clipboard issue:
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=40482
TagsNo tags attached.
Fixed in build1301

Relationships

related to 0014597 assignedLudek Drag and Drop: D&D do not work from MMW now playing to Skype chat Window 

Activities

Ludek

2009-12-17 11:28

developer   ~0019855

Last edited: 2009-12-17 11:36

I also noticed this lethargic UI issue while testing 0006203. But if more than 5000 tracks are in clipboard then not only MM UI is lethargic, but also iTunes UI.
e.g. Clicking on the [Controls] or [Edit] buttons in the iTunes main menu causes iTunes UI to freeze for several seconds.

So it implies that it is obviously issue with overfilled clipboard. I haven't tested on Win7, but on Win XP it is an issue. Maybe we should rather (when more than 1000 tracks are to be copied to the cliboard) just copy only a link to an object in memory that would include the tracks instead.

Ludek

2009-12-17 11:57

developer   ~0019856

I have just tested it on Win7 and the issue with overfilled clipboard still exists.

Ludek

2009-12-17 13:56

developer   ~0019857

I see the real reason. Assigning to me for fix.

Ludek

2009-12-17 15:52

developer   ~0019858

Fixed in build 1301.

peke

2010-10-27 12:19

developer   ~0021002

Verified 1318